--------------------------------------------------------------------------------
-- Filename:	groupedcols.sql
-- Purpose:	Lists all grouped columns
-- Author:	Chas. Dye (cdye@excite.com)
-- Date:	27-May-1998
--------------------------------------------------------------------------------

column sname		heading "Schema|Name"	format a8
column oname		heading "Table|Name"	format a25
column group_name	heading "Column|Group"	format a25
column column_name	heading "Column|Name"	format a19

clear breaks
break on sname on oname skip 1

SELECT	sname,
	substr(oname, 1, 25)		oname,
	substr(group_name, 1, 25)	group_name,
	substr(column_name, 1, 19)	column_name
FROM	dba_repgrouped_column
ORDER BY sname, oname, group_name, column_name
/

clear breaks
