-------------------------------------------------------------------------------
-- Filename:	lastsnap.sql
-- Author:	Chas. Dye (cdye@mailexcite.com)
-- Purpose:	Lists registered snapshots (run from master site)
-- Date:	29-Aug-1998
-------------------------------------------------------------------------------

column owner			heading "Owner"			format a8
column name			heading "Name"			format a22
column snapshot_site		heading "Snapshot|Site"		format a15
column refresh_method		heading "Refresh|Method"	format a11
column version			heading "Version"		format a10
column current_snapshots	heading "Last|Refresh"		format a20

SELECT	r.owner,
	r.name,
	r.snapshot_site,
	r.refresh_method,
	nvl(	to_char(l.current_snapshots, 'DD-Mon-YYYY HH24:MI:SS'),
		'    -- Unknown --') current_snapshots
FROM	dba_registered_snapshots r,
	dba_snapshot_logs l
WHERE	l.log_owner(+) = r.owner
AND	l.master(+) = r.name
/
