-------------------------------------------------------------------------------
-- Filename:	links.sql
-- Purpose:	reports all database links in the database
-- Author	Chas. Dye (cdye@dialog.com)
-- Date:	28-May-1997
-------------------------------------------------------------------------------

column owner	heading "Owner"		format a10
column db_link	heading "DB Link"	format a20
column username	heading "Username"	format a12
column host	heading "Host"		format a12
column created	heading "Created"	format a20

clear breaks
break on db_link skip 1

SELECT	db_link,
	owner,
	nvl(username, '--------') username,
	host,
	TO_CHAR(created, 'DD-Mon-YYYY HH24:MI:SS') created
FROM	dba_db_links
ORDER BY db_link, host, owner
/

clear breaks
