-------------------------------------------------------------------------------
-- Filename:	snaps.sql
-- Author	Chas. Dye (cdye@mailexcite.com)
-- Purpose:	Lists all snapshots in the database
-- Date:	17-Jan-1997
-------------------------------------------------------------------------------

column owner format a9
column name format a15
column table_name format a27
column link format a5 heading "Link"
column last_refresh format a20

SELECT	d.owner,
	d.name,
	d.table_name,
	substr(d.master_link, 1, 5) link, 
	s.snaptime last_refresh
/*--
	to_char(last_refresh, 'DD-Mon-YYYY hh24:mi:ss') last_refresh
--*/
FROM	dba_snapshots d,
	sys.snap_reftime$ s
WHERE	d.owner = s.sowner
AND	d.name = s.vname
ORDER BY d.owner, d.name
/
